Package org.apache.felix.http.base.internal.dispatch

## Class HttpServletMappingImpl

- java.lang.Object
- - org.apache.felix.http.base.internal.dispatch.HttpServletMappingImpl

All Implemented Interfaces:
  `javax.servlet.http.HttpServletMapping`

    public class HttpServletMappingImpl
    extends Object
    implements javax.servlet.http.HttpServletMapping

### Constructor Summary

Constructors
`HttpServletMappingImpl​(RequestInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.servlet.http.MappingMatch` `getMappingMatch()`
`String` `getMatchValue()`
`String` `getPattern()`
`String` `getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpServletMappingImpl

    public HttpServletMappingImpl​(RequestInfo info)

### Method Detail

#### getMappingMatch

    public javax.servlet.http.MappingMatch getMappingMatch()

Specified by:
  `getMappingMatch` in interface `javax.servlet.http.HttpServletMapping`

#### getMatchValue

    public String getMatchValue()

Specified by:
  `getMatchValue` in interface `javax.servlet.http.HttpServletMapping`

#### getPattern

    public String getPattern()

Specified by:
  `getPattern` in interface `javax.servlet.http.HttpServletMapping`

#### getServletName

    public String getServletName()

Specified by:
  `getServletName` in interface `javax.servlet.http.HttpServletMapping`